Subject: bug#10840: 24.0.93; No `man' command completion on Windows (using Cygwin for man pages)

From: "Drew Adams" <[email-masked]>
Date: Sat, 18 Feb 2012 12:28:04 -0800

> man.el invokes the `man' command with "^" concatenated to whatever you
> typed.  So the question becomes what does your port of `man' produce
> if you invoke it from the shell command line like this:
> 
>    man -k ^

You also sent a mail saying to try `man ^', i.e., without `-k'.  I tried both.

 $ man -k ^
 ^: nothing appropriate

 $ man ^
 No manual entry for ^

Dunno whether that helps.  As I said, if I type nothing in the minibuffer and
then hit TAB it completes to `^:' with no further completion available.  If I
instead type something (e.g. `l') and then hit TAB I get the message `[No
match]'.

The shell is bash.  (And "man ls RET" works fine at the bash prompt.)